<?php
/*
Plugin Name: Tab Override
Plugin URI: http://tinsology.net/plugins/tab-override/
Description: Causes tabs to function as they would in a text editor rather than a browser
Version: 2.0.1
Author: Mathew Tinsley, Bill Bryant
Author URI: http://tinsology.net/
*/

/*
Copyright 2009-2010  Mathew Tinsley  (email : tinsley@tinsology.net)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function tab_override_add_script($hook_suffix) {
	$admin_edit_pages = array(
		'index.php',
		'post.php',
		'post-new.php',
		'page.php',
		'page-new.php',
		'edit-comments.php',
		'comment.php',
		'theme-editor.php',
		'plugin-editor.php'
	);
	
	if (in_array($hook_suffix, $admin_edit_pages)) {
		wp_enqueue_script('tab-override', WP_PLUGIN_URL . '/tab-override/tab-override-min.js', array('jquery'), '2.01', true);
	}
}

add_action('admin_enqueue_scripts', 'tab_override_add_script');